/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define POWER_BUTTON_Pin GPIO_PIN_2
#define POWER_BUTTON_GPIO_Port GPIOE
#define LED_RUN_Pin GPIO_PIN_3
#define LED_RUN_GPIO_Port GPIOE
#define SYS_WKUP_Pin GPIO_PIN_0
#define SYS_WKUP_GPIO_Port GPIOA
#define USB3_VBUS_CTL_3_Pin GPIO_PIN_12
#define USB3_VBUS_CTL_3_GPIO_Port GPIOE
#define USB3_VBUS_CTL_2_Pin GPIO_PIN_13
#define USB3_VBUS_CTL_2_GPIO_Port GPIOE
#define USB3_VBUS_CTL_1_Pin GPIO_PIN_14
#define USB3_VBUS_CTL_1_GPIO_Port GPIOE
#define USB3_VBUS_CTL_4_Pin GPIO_PIN_15
#define USB3_VBUS_CTL_4_GPIO_Port GPIOE
#define ENUM_CTL_Pin GPIO_PIN_8
#define ENUM_CTL_GPIO_Port GPIOA
#define USB2_DM_G7_Pin GPIO_PIN_11
#define USB2_DM_G7_GPIO_Port GPIOA
#define USB2_DP_G7_Pin GPIO_PIN_12
#define USB2_DP_G7_GPIO_Port GPIOA
#define SYS_SWDIO_Pin GPIO_PIN_13
#define SYS_SWDIO_GPIO_Port GPIOA
#define SYS_SWCLK_Pin GPIO_PIN_14
#define SYS_SWCLK_GPIO_Port GPIOA
#define USB2_VBUS_CTL_1_Pin GPIO_PIN_2
#define USB2_VBUS_CTL_1_GPIO_Port GPIOD
#define USB2_VBUS_CTL_2_Pin GPIO_PIN_3
#define USB2_VBUS_CTL_2_GPIO_Port GPIOD
#define USB2_VBUS_CTL_3_Pin GPIO_PIN_4
#define USB2_VBUS_CTL_3_GPIO_Port GPIOD
#define USB2_VBUS_CTL_4_Pin GPIO_PIN_5
#define USB2_VBUS_CTL_4_GPIO_Port GPIOD
#define USB2_VBUS_CTL_5_Pin GPIO_PIN_6
#define USB2_VBUS_CTL_5_GPIO_Port GPIOD
#define USB2_VBUS_CTL_6_Pin GPIO_PIN_7
#define USB2_VBUS_CTL_6_GPIO_Port GPIOD
#define SYS_SWO_Pin GPIO_PIN_3
#define SYS_SWO_GPIO_Port GPIOB
#define BUZZ_CTL_Pin GPIO_PIN_6
#define BUZZ_CTL_GPIO_Port GPIOB
#define CHRG_STATUS_Pin GPIO_PIN_7
#define CHRG_STATUS_GPIO_Port GPIOB
#define COULOMB_SCL_Pin GPIO_PIN_8
#define COULOMB_SCL_GPIO_Port GPIOB
#define COULOMB_SDA_Pin GPIO_PIN_9
#define COULOMB_SDA_GPIO_Port GPIOB
#define COULOMB_ALCC_Pin GPIO_PIN_0
#define COULOMB_ALCC_GPIO_Port GPIOE
#define BAT_RELAY_CTL_Pin GPIO_PIN_1
#define BAT_RELAY_CTL_GPIO_Port GPIOE
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
